# {%= name %} {%= badge("fury") %}

> {%= description %}

See [node-dateformat](https://github.com/felixge/node-dateformat) for all available options.

## Install
{%= include("install-npm", {save: true}) %}

## Run tests

```bash
npm test
```

## Register the helper

> This should work with any engine, here are a few examples

### [template](https://github.com/jonschlinkert/template)

```js
template.helper('date', require('helper-date'));
```

### [assemble](https://github.com/assemble/assemble)

```js
assemble.helper('date', require('helper-date'));
```

### [verb](https://github.com/jonschlinkert/verb)

```js
verb.helper('date', require('helper-date'));
```

### [handlebars](https://github.com/wycats/handlebars.js/)

```js
var handlebars = require('handlebars');
handlebars.registerHelper('date', require('helper-date'));
```

## Usage

Handlebars:

```handlebars
{{date "MMMM DD, YYYY"}}
```

Lo-Dash or Underscore:

```html
<%= date("MMMM DD, YYYY") %>
```

Verb (lo-dash, with special delimiters to avoid delimiter collision in documentation):

```html
{%%= date("MMMM DD, YYYY") %}
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue]({%= bugs.url %})

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}
