# helper-date [![NPM version](https://badge.fury.io/js/helper-date.svg)](http://badge.fury.io/js/helper-date)

> Template helper for adding formatted dates with moment.js. Should work with any engine.

See [node-dateformat](https://github.com/felixge/node-dateformat) for all available options.

## Install
### Install with [npm](npmjs.org)

```bash
npm i helper-date --save
```

## Run tests

```bash
npm test
```

## Register the helper

> This should work with any engine, here are a few examples

### [template](https://github.com/jonschlinkert/template)

```js
template.helper('date', require('helper-date'));
```

### [assemble](https://github.com/assemble/assemble)

```js
assemble.helper('date', require('helper-date'));
```

### [verb](https://github.com/jonschlinkert/verb)

```js
verb.helper('date', require('helper-date'));
```

### [handlebars](https://github.com/wycats/handlebars.js/)

```js
var handlebars = require('handlebars');
handlebars.registerHelper('date', require('helper-date'));
```

## Usage

Handlebars:

```handlebars
{{date "MMMM DD, YYYY"}}
```

Lo-Dash or Underscore:

```html
<%= date("MMMM DD, YYYY") %>
```

Verb (lo-dash, with special delimiters to avoid delimiter collision in documentation):

```html
{%%= date("MMMM DD, YYYY") %}
```


## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/helper-date/issues)

## Author

**[object Object]**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License
Copyright (c) 2014 Jon Schlinkert
Released under the MIT licenses

***

_This file was generated by [verb](https://github.com/jonschlinkert/verb) on November 07, 2014._